Create chatbot
Create a new chatbot programmatically. It will be automatically assigned to the project associated with your API key.
POST
/chatbotsRequest parameters
Section titled “Request parameters”Body
namestringrequiredThe name of your new chatbot.
settingsobjectInitial configuration object for your bot, such as theme and prompt details. Leave blank for defaults.
Headers
AuthorizationstringrequiredYour API Key formatted as Bearer sk_live_…
Response
Section titled “Response”dataobjectThe newly created chatbot object.
idstringThe unique UUID identifier of the chatbot.
namestringThe name of the chatbot.
settingsobjectConfiguration object containing theme and prompt details.
is_activebooleanWhether the chatbot is currently enabled and active.
created_atstringThe ISO 8601 timestamp of when the chatbot was created.
curl -X POST https://app.picobot.dev/api/chatbots \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{"name": "My New Bot", "settings": {"theme": "dark"}}'fetch('https://app.picobot.dev/api/chatbots', { method: 'POST', headers: { 'Authorization': 'Bearer <token>', 'Content-Type': 'application/json' }, body: JSON.stringify({ name: 'My New Bot', settings: { theme: 'dark' } })}).then(res => res.json()).then(console.log);import requests
headers = { "Authorization": "Bearer <token>"}json_data = { "name": "My New Bot", "settings": { "theme": "dark" }}response = requests.post("https://app.picobot.dev/api/chatbots", headers=headers, json=json_data)print(response.json())HttpResponse<String> response = Unirest.post("https://app.picobot.dev/api/chatbots") .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .body("{\"name\": \"My New Bot\", \"settings\": {\"theme\": \"dark\"}}") .asString();{ "data": { "id": "91981020-f783-4544-ad96-39857ac589cb", "name": "My New Bot", "settings": { "theme": "dark" }, "is_active": true, "created_at": "2026-06-19T21:21:06.572Z" }}